[Support] Linuxserver.io - Deluge


384 posts in this topic Last Reply

Recommended Posts

Hello, im using latest deluge docker from ls.io - Deluge 2.0.3-2-201906121747-ubuntu18.04.1

One of the trackers I use has the following rule:

'Due to release stream issues, Versions 2.x Sourced from their PPA (or docker based on PPA) will not work here'

Apparently lsio docker is based on personal package archive. Is there anything I can do to override this? I really like deluge for seeding and i had no other issues with this version so far. Thanks for help;)

Link to post
  • 2 weeks later...
  • Replies 383
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Why did you use 146?  It's seven months old.   5b398f77-ls22 would be the last pre v2 release.   To fix your missing torrents I guess it would be restore from a backup.

Application Name: Deluge Application Site: http://deluge-torrent.org/ Docker Hub: https://hub.docker.com/r/linuxserver/deluge/ Github: https://github.com/linuxserver/docker-deluge

Yeah, I just got home from work.    This will work with nginx.       location /deluge {     proxy_pass http://192.168.0.1:8112/;     proxy_set_header  X-Deluge-Base "/deluge/"; includ

Posted Images

Hello all, I'm having a new issue that I've noticed today.

 

Sonarr and Radarr can no longer communicate with Deluge any longer, stating my password is incorrect.

I cannot access via the web UI either, it says my daemon password is wrong. 

 

I've tried opening a local client I have installed on a workstation on my network and THAT can still connect to it, but I cananot edit the daemon password as it fails with "NoneType" object is not subscriptable. 

 

Nothing has changed as far as my server goes so I'm not sure what's happening - any advice is appreciated!

Link to post
5 minutes ago, CorneliousJD said:

Hello all, I'm having a new issue that I've noticed today.

 

Sonarr and Radarr can no longer communicate with Deluge any longer, stating my password is incorrect.

I cannot access via the web UI either, it says my daemon password is wrong. 

 

I've tried opening a local client I have installed on a workstation on my network and THAT can still connect to it, but I cananot edit the daemon password as it fails with "NoneType" object is not subscriptable. 

 

Nothing has changed as far as my server goes so I'm not sure what's happening - any advice is appreciated!

Sorry I fixed this shortly after posting this.

 

For some reason the default webUI password of "deluge" got set again.

After using that to login and change it again I'm back up and running.

 

May be a bug in the container so I figured I'd update and alert you guys to it incase it is.

Thanks!

Link to post
  • 3 weeks later...

I'm having an issue with deluge where I can search for torrents in indexers and it gets added to deluge, but it just doesn't connect to any peers to download. It was working 3 days ago and didn't do a reboot. When I login I can connect to the "localclient@" host.

 

Has anyone seent his prior or could guide to a possible solution.

Link to post
On 3/25/2020 at 5:40 PM, mika91 said:

Hi,

 

Is there possible to disable the "login" popup ?
I'm running deluge docker behind a reverse proxy and auth, so no need for this.

Thanks

I'm also looking for a clean and sustainable solution with future updates, does anyone have an idea?

I'm using "session_timeout": 31536000, for now.

 

for port 58946 tcp/udp should it be put in deluge and on the router redirect ? does it work with proxy and vpn active ?

Edited by Nosirus
Link to post
On 5/26/2020 at 4:48 PM, Alec.Dalessandro said:

I'm having an issue with deluge where I can search for torrents in indexers and it gets added to deluge, but it just doesn't connect to any peers to download. It was working 3 days ago and didn't do a reboot. When I login I can connect to the "localclient@" host.

 

Has anyone seent his prior or could guide to a possible solution.

@Alec.Dalessandro I seem to be having the same problem as of about 12 hours ago. Have a bunch cued stuff not connecting to peers.  :( if anyone has a solution please let me know

Link to post
22 minutes ago, Gsusking2 said:

@Alec.Dalessandro I seem to be having the same problem as of about 12 hours ago. Have a bunch cued stuff not connecting to peers.  :( if anyone has a solution please let me know

Honestly I just waited and it seemed to correct itsself. Everything stayed queued up. Then when it was able to connect to peers again they continued to download as normal.

 

Not sure if I did and update as I was away for the week and didin't have access to check. 

Link to post
  • 2 months later...

Hi.  Don't know why my Deluge stops seeding, but continues to download.  Stopping, and starting the docker container again starts seeding once more.  Why is this happening?

 

Follow-up question:  Does remaining HDD space play a role here?  I know I have limited space left, but it's still more than what I'm trying to download.  

Edited by jang430
Link to post
  • 1 month later...

Hey, 

 

Installed deluge, Sonarr Jacket with no problem all tested links working well. 

trouble with deluge downloading files,  torrent starts downloading but within seconds the speed starts to drop and download stops. 

It must be something to do with permissions?  have downloads share only on cache SSD. 

 

Please HELP

No error in the logs or anything. 

 

Thanks 
Sam 

Link to post
15 hours ago, dingusdodo said:

Hey, 

 

Installed deluge, Sonarr Jacket with no problem all tested links working well. 

trouble with deluge downloading files,  torrent starts downloading but within seconds the speed starts to drop and download stops. 

It must be something to do with permissions?  have downloads share only on cache SSD. 

 

Please HELP

No error in the logs or anything. 

 

Thanks 
Sam 

Post your docker run command and a screenshot of settings->downloads in deluge

Link to post
On 5/2/2020 at 7:32 AM, Januszmirek said:

Hello, im using latest deluge docker from ls.io - Deluge 2.0.3-2-201906121747-ubuntu18.04.1

One of the trackers I use has the following rule:

'Due to release stream issues, Versions 2.x Sourced from their PPA (or docker based on PPA) will not work here'

Apparently lsio docker is based on personal package archive. Is there anything I can do to override this? I really like deluge for seeding and i had no other issues with this version so far. Thanks for help;)

Did you ever find a solution to this? Was using the binhex docker but it had a pretty severe memory leak so was hoping to switch over

Link to post
  • 2 weeks later...

Any chance of adding support for Deluge-RBB plugin for this docker - it would make it infinitely more usable (it adds a browse button to WebUI and remote desktop clients)
Currently, if you make no changes it errors out trying to import from common.py. I've tried adding the PYTHONPATH env variable which gets me further, but I stillg et "Cannot import name get_resource" on "from common import get_resource" but I don't see an actual python COMMON.PY anywhere (I see the deluge ones, but none for the actual python package)

Link to post
  • 1 month later...

Morning!

 

Just installed Deluge 2.0.3-2-201906121747 on Unraid 6.8.3 and I'm unable to log in. I'm getting stuck in an endless loop at the login prompt. The default password, "deluge", is accepted, but then the prompt reappears. In the background I can see a prompt asking me to change my password, but I can't select it.

 

I've tried to remove and install the plugin again, but I get the same result.

 

Ideas now I can get past this?


Thanks so much!

deluge.png

deluge_setup.png

Link to post
  • 3 weeks later...

Tried to install DefaultTrackers-0.2-py3.6.egg and YaRSS2-2.1.4-py3.6.egg, but they can not be installed. 

Python inside is 3.6.9 should be compatible. 

Tried both chrome/firefox, all have the problem. 

Is this a known bug? Is there a workaround to install those two?

Link to post

I'm trying to set up a deluge thin client from my pc into the deluge daemon, but can't get any user/password to allow me to connect. What is the Docker expecting? WebUI creds not doing anything at all.

 

EDIT: I had Deluge running on DietPi before I hooked into unRAID, and I recall the daemon wanted my root creds, but it was a long hard road trying to figure it out.

Edited by ainuke
added more information
Link to post
On 12/10/2020 at 8:38 AM, blakeslade said:

Morning!

 

Just installed Deluge 2.0.3-2-201906121747 on Unraid 6.8.3 and I'm unable to log in. I'm getting stuck in an endless loop at the login prompt. The default password, "deluge", is accepted, but then the prompt reappears. In the background I can see a prompt asking me to change my password, but I can't select it.

 

I've tried to remove and install the plugin again, but I get the same result.

 

Ideas now I can get past this?


Thanks so much!

deluge.png

deluge_setup.png

When you "remove and reinstall" the plugin (docker container?), did you delete the "deluge" folder in /appdata?
If not, your config is still there and the new container install will see it and perpetuate the problem.

Link to post
1 hour ago, ainuke said:

When you "remove and reinstall" the plugin (docker container?), did you delete the "deluge" folder in /appdata?
If not, your config is still there and the new container install will see it and perpetuate the problem.

Rookie mistake. Thank you for pointing that out.

 

You are correct, I did not delete the "deluge" foler in /appdata.

 

Would explain why some other docker containers are also having some issues due to old configs remaining.

 

Will report back of the issue is not resolved.

 

Thank you!

Link to post
  • 3 weeks later...

Has anyone experience an issue where your torrents (regardless of status) will disappear from the listing? This happens to me every few days and I'll have to re-add all of my torrents manually to continue seeding or what not.

Link to post

Hello, is it possible to downgrade deluge 2.x.x to 1.3.x and maintain present torrents state? Tried before using only tags and it ended up with successful downgrade but the torrents disappeared from the client.

If you could direct me how to transfer current state of torrents to downgraded version it would be appreciated, thanks;)

Link to post
  • 2 weeks later...
On 12/29/2020 at 6:38 AM, rampage said:

Tried to install DefaultTrackers-0.2-py3.6.egg and YaRSS2-2.1.4-py3.6.egg, but they can not be installed. 

Python inside is 3.6.9 should be compatible. 

Tried both chrome/firefox, all have the problem. 

Is this a known bug? Is there a workaround to install those two?

I'm pretty sure plugins just "don't work" with this container. At least, I haven't been able to get any that aren't pre-bundled with deluge to work.

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.